//
//  LinkvConfig.h
//  LinkvPlayer
//
//  Created by xlquan on 2020/6/10.
//  Copyright © 2020 cmcm. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/// 播放参数
@interface LinkvConfig : NSObject

/// 是否使用SCDN加速服务
@property (nonatomic, assign) bool useSCDN;

/// 指定使用SCDN节点，只用于功能测试
@property (nonatomic, copy) NSString *serverIP;

/// 开始播放缓存区时长，默认1000ms
@property (nonatomic, assign) int startCacheDuration;

/// 播放器最大的缓存区时长，默认为0，不做缓存控制
@property (nonatomic, assign) int maxCacheDuration;

/// probeSize 设定，解析音视频数据长度限制
@property (nonatomic, assign) int probeSize;

@end

NS_ASSUME_NONNULL_END
