//
//  LinkvDelegate.h
//  LinkvPlayer
//
//  Created by xlquan on 2020/6/2.
//  Copyright © 2020 linkv. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "LinkvPlayerDef.h"

NS_ASSUME_NONNULL_BEGIN
@class LinkvPlayerController;

/// 播放器回调
@protocol LinkvDelegate <NSObject>
@optional

/// 播放器事件回调
/// @param player 播放器指针
/// @param eventType 播放器事件类型
-(void)onPlayerEvent:(LinkvPlayerController*)player eventType:(PlayEventType)eventType;


/// 错误代理回调
/// @param player 播放器player指针
/// @param errorCode 播放器错误码，参考PlayErrorCode
/// @see PlayErrorCode
- (void)onError:(LinkvPlayerController*)player errorCode:(PlayErrorCode)errorCode;

/// 视频宽高变化回调
/// @param player 播放器指针
/// @param width 视频宽度
/// @param height 视频高度
- (void)onVideoSizeChanged:(LinkvPlayerController*)player width:(int)width height:(int)height;

@end

NS_ASSUME_NONNULL_END
