//
//  LinkvPlayerDef.h
//  LinkvPlayer
//
//  Created by SuZhou on 2017/12/22.
//  Copyright © 2017年 linkv. All rights reserved.
//

#ifndef LinkvPlayerDef_h
#define LinkvPlayerDef_h
#import <Foundation/Foundation.h>
#import <MediaPlayer/MediaPlayer.h>

/// 播放器事件类型
typedef NS_ENUM(NSUInteger, PlayEventType) {
    /// 播放准备完成
    PlayEventPrepared = 0,
    /// 音频渲染开始
    PlayEventFirstAudioRender = 1,
    /// 视频渲染开始
    PlayEventFirstRenderedStart = 2,
    /// 播放完成
    PlayEventCompletion = 3,
    /// 缓冲开始
    PlayEventLoadingStart = 4,
    /// 缓冲结束
    PlayEventLoadingEnd = 5,
};

/// 播放错误码
typedef NS_ENUM(NSUInteger, PlayErrorCode) {
    /// 权限获取失败
    ERROR_OPERATION                         = 1001001,
    /// 播放地址错误
    ERROR_PATH                              = 1001002,
    /// 播放被系统中断
    ERROR_INTERRUPT_BY_SYSTOM               = 1001003,
    /// 数据获取失败
    ERROR_IO_ERROR                          = 1001004,
    /// 内存不足
    ERROR_NO_MEM                            = 1001005,
    /// 权限获取失败
    ERROR_PERMISSION                        = 1001006,
    /// 播放参数错误
    ERROR_ARGUMENT                          = 1001007,
    /// 触发系统broken pipe
    ERROR_BROKEN_PIPE                       = 1001008,
    /// 网络不可达
    ERROR_NETWORK_UNREACHABLE               = 1001009,
    /// 磁盘空间不足
    ERROR_NO_BUFFER                         = 1001010,
    /// socket连接失败
    ERROR_SOCKET_NO_CONNECT                 = 1001011,
    /// 时钟异常
    ERROR_TIMER_EXPIRED                     = 1001012,
    /// 播放域名异常
    ERROR_HOST                              = 1001013,
    /// 当前流不存在
    ERROR_NO_STREAM                         = 1001014,
    /// 连接被拒绝
    ERROR_CONNECT_REFUSED                   = 1001015,
    /// 连接超时
    ERROR_TIMEOUT                           = 1001016,
    /// 播放数据异常
    ERROR_INVALID_DATA                      = 1001018,
    /// 播放结束
    ERROR_EOF                               = 1001019,
    /// 播放退出
    ERROR_EXIT                              = 1001020,
    /// 不支持该播放协议
    ERROR_PROTOCOL_NOT_FOUND                = 1001021,
    /// 未知错误
    ERROR_UNKNOWN                           = 1009001,
};

#endif /* LinkvPlayerDef_h */
