//
//  PlayQosInfo.h
//  LinkvPlayer
//
//  Created by SuZhou on 2017/12/25.
//  Copyright © 2017年 linkv. All rights reserved.
//

#import <Foundation/Foundation.h>

/// 播放质量数据
@interface PlayQosInfo : NSObject


/// 音频缓存大小（Bytes）
@property (nonatomic, assign)   int audioCacheSize;

/// 音频缓存时长 （ms）
@property (nonatomic, assign)   int audioCacheDuration;

/// 音频缓存包数
@property (nonatomic, assign)   int audioCachePackets;

/// 视频缓存大小（Bytes）
@property (nonatomic, assign)   int videoCacheSize;

/// 视频缓存时长 （ms）
@property (nonatomic, assign)   int videoCacheDuration;

/// 视频缓存包数
@property (nonatomic, assign)   int videoCachePackets;

/// 视频解码帧率
@property (nonatomic, assign)   float videoDecodeFPS;

/// 视频渲染帧率
@property (nonatomic, assign)   float videoRefreshFPS;

///首桢时间
@property (nonatomic, assign)   int64_t firstFrameTime;

///数据接收码率
@property (nonatomic, assign)   float bitrate;

///rtt
@property (nonatomic, assign)   int64_t rtt;
///丢包率
@property (nonatomic, assign)   int64_t lossRate;
///丢包数统计
@property (nonatomic, assign)   int64_t pktLoss;
///播放地址
@property (nonatomic, strong)   NSString * streamUrl;
///当前延迟时间
@property (nonatomic, assign)   int streamDelayMs;

- (void)resetInfo;
@end
